Download it now!
Bug 53424 - Calc crashes when opening this .xlsb
Summary: Calc crashes when opening this .xlsb
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.2 target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-12 20:36 UTC by Tim Richardson
Modified: 2012-08-31 13:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet which crashes when opened (272.46 KB, application/vnd.ms-excel.sheet.binary.macroenabled.12)
2012-08-12 20:36 UTC, Tim Richardson
Details
bt + console logs (66.56 KB, text/plain)
2012-08-13 19:55 UTC, Julien Nabet
Details
Bug report (59.75 KB, application/rtf)
2012-08-15 10:11 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Richardson 2012-08-12 20:36:48 UTC
Created attachment 65482 [details]
spreadsheet which crashes when opened

Attached is a binary Excel spreadsheet. It crashes when attempting to open in Excel. In .xlsm format, there is no crash.

On OS X, this happens every time.
Comment 1 Tim Richardson 2012-08-12 20:39:59 UTC
Using windows portable apps version (3.5.5) the xlsb also does not open, it tries to use an ascii filter. 
The spreadsheet does open with Excel Office 2011 and 2010.
Comment 2 billhook 2012-08-13 03:59:38 UTC
Under LO 3.6.04 Windows Vista 32bit I get: 

"General Error.
General Input/Output error."

When I try to open this document. The program does not crash.
Comment 3 Julien Nabet 2012-08-13 19:55:53 UTC
Created attachment 65513 [details]
bt + console logs

On pc Debian x86-64 with master sources updated today, I reproduced the pb.
I attached logs + bt
Comment 4 Jorendc 2012-08-15 10:09:52 UTC
reproducable under mac osx 10.8; LO 3.6.0.4 (build: 932b512); Dutch language pack;
I'll upload my bug report
Comment 5 Jorendc 2012-08-15 10:11:42 UTC
Created attachment 65594 [details]
Bug report
Comment 6 Roman Eisele 2012-08-25 09:40:35 UTC
(In reply to comment #3)
> On pc Debian x86-64 with master sources updated today, I reproduced the pb.

So the crash is reproducible both on MacOS and pc Debian, therefore the platform should be changed to "All" (even if the crash is not reproducible on Windows).
Comment 7 Markus Mohrhard 2012-08-29 06:41:27 UTC
Conditional format code, so one for me.
Comment 8 Markus Mohrhard 2012-08-30 01:55:04 UTC
Ok, problem was the missing update of the xlsb code to the new way conditional formats are added to the document during import.
Comment 9 Not Assigned 2012-08-30 11:05:25 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=132ffae17678df9c10d31dd3ae7540254a58dbf0&g=libreoffice-3-6

also handle the cond format code for xlsb the new way, fdo#53424


It will be available in LibreOffice 3.6.2.
Comment 10 Not Assigned 2012-08-31 13:54:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b20e04a76ac251f782226dcf71983666d8dbe0dd

also handle the cond format code for xlsb the new way, fdo#53424